Index: /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/TagNames.pod
===================================================================
--- /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/TagNames.pod	(revision 34920)
+++ /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/TagNames.pod	(revision 34921)
@@ -13305,42 +25675,744 @@
 Frame rate information stored by some Canon video cameras.
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
-      0    CaptureFrameRate                     N
-      1    VideoFrameRate                       N
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      0    CaptureFrameRate                     no
+      1    VideoFrameRate                       no
 
 =head2 QuickTime Tags
 
 The QuickTime format is used for many different types of audio, video and
-image files.  Exiftool extracts meta information from the UserData atom
-(including some proprietary manufacturer-specific information), as well as
-extracting various audio, video and image parameters.  Tags with a question
-mark after their name are not extracted unless the Unknown option is set.
+image files (most notably, MOV/MP4 videos and HEIC/CR3 images).  ExifTool
+extracts standard meta information and a variety of audio, video and image
+parameters, as well as proprietary information written by many camera
+models.  Tags with a question mark after their name are not extracted unless
+the Unknown option is set.
+
+When writing, ExifTool creates both QuickTime and XMP tags by default, but
+the group may be specified to write one or the other separately.  If no
+location is specified, newly created QuickTime tags are added in the
+L<ItemList|Image::ExifTool::TagNames/QuickTime ItemList Tags> location if
+possible, otherwise in
+L<UserData|Image::ExifTool::TagNames/QuickTime UserData Tags>, and
+finally in L<Keys|Image::ExifTool::TagNames/QuickTime Keys Tags>,
+but this order may be changed by setting the PREFERRED level of the
+appropriate table in the config file (see
+example.config in the full distribution for an
+example).  Note that some tags with the same name but different ID's may
+exist in the same location, but the family 7 group names may be used to
+differentiate these.  ExifTool currently writes only top-level metadata in
+QuickTime-based files; it extracts other track-specific and timed metadata,
+but can not yet edit tags in these locations (with the exception of
+track-level date/time tags).
+
+Alternate language tags may be accessed for
+L<ItemList|Image::ExifTool::TagNames/QuickTime ItemList Tags> and
+L<Keys|Image::ExifTool::TagNames/QuickTime Keys Tags> tags by adding
+a 3-character ISO 639-2 language code and an optional ISO 3166-1 alpha 2
+country code to the tag name (eg. "ItemList:Artist-deu" or
+"ItemList::Artist-deu-DE").  Most
+L<UserData|Image::ExifTool::TagNames/QuickTime UserData Tags> tags support a
+language code, but without a country code.  If no language code is specified
+when writing, the default language is written and alternate languages for
+the tag are deleted.  Use the "und" language code to write the default
+language without deleting alternate languages.  Note that "eng" is treated
+as a default language when reading, but not when writing.
+
+According to the specification, integer-format QuickTime date/time tags
+should be stored as UTC.  Unfortunately, digital cameras often store local
+time values instead (presumably because they don't know the time zone).  For
+this reason, by default ExifTool does not assume a time zone for these
+values.  However, if the QuickTimeUTC API option is set, then ExifTool will
+assume these values are properly stored as UTC, and will convert them to
+local time when extracting.
+
+When writing string-based date/time tags, the system time zone is added if
+the PrintConv option is enabled and no time zone is specified.  This is
+because Apple software may display crazy values if the time zone is missing
+for some tags.
+
+See
+L<https://developer.apple.com/library/archive/documentation/QuickTime/QTFF/>
+for the official specification.
 
   Tag ID               Tag Name                 Writable
   ------               --------                 --------
-  'PICT'               PreviewPICT              N
-  'free'               Free?                    N
+  'GPS '               GPSDataList2?            no
+  'IDIT'               DateTimeOriginal         string
+  'PICT'               PreviewPICT              no
+  '_htc'               HTCInfo                  QuickTime HTCInfo
+  'ardt'               ARDroneFile              no
+  'frea'               Kodak_frea               Kodak frea
+  'free'               KodakFree                Kodak Free
+                       Pittasoft                QuickTime Pittasoft
+                       Free?                    no
   'ftyp'               FileType                 QuickTime FileType
-  'junk'               Junk?                    N
-  'mdat'               MovieData?               N
-  'mdat-size'          MovieDataSize            N
+  'gps0'               GPSTrack                 QuickTime Stream
+  'gsen'               GSensor                  QuickTime Stream
+  'junk'               Junk?                    no
+  'mdat'               MediaData?               no
+  'mdat-offset'        MediaDataOffset          no
+  'mdat-size'          MediaDataSize            no
+  'meco'               OtherMeta                QuickTime OtherMeta
+  'meta'               Meta                     QuickTime Meta
+  'moof'               MovieFragment            QuickTime MovieFragment
   'moov'               Movie                    QuickTime Movie
-  'pict'               PreviewPICT              N
+  'pict'               PreviewPICT              no
   'pnot'               Preview                  QuickTime Preview
-  'skip'               Skip?                    N
-  'uuid'               UUID-XMP                 XMP
+  'prrt'               ARDroneTelemetry         no
+  'skip'               CanonSkip                Canon Skip
+                       PreviewImage             no
+                       Skip?                    no
+  'thm '               ThumbnailImage           no
+  'thum'               ThumbnailImage           no
+  'udat'               GPSLog                   no
+  'udta'               UserData                 FLIR UserData
+  'uuid'               XMP                      XMP
                        UUID-PROF                QuickTime Profile
                        UUID-Flip                QuickTime Flip
-                       UUID-Unknown?            N
-  'wide'               Wide?                    N
+                       UUID-Canon2              Canon uuid2
+                       SensorData               QuickTime Tags360Fly
+                       SensorData               no
+                       PreviewImage             no
+                       UUID-Unknown?            no
+  'wide'               Wide?                    no
+
+=head3 QuickTime HTCInfo Tags
+
+Tags written by some HTC camera phones.
+
+  Tag ID   Tag Name                             Writable
+  ------   --------                             --------
+  'slmt'   Unknown_slmt?                        no
+
+=head3 QuickTime Pittasoft Tags
+
+Tags found in Pittasoft Blackvue dashcam "free" data.
+
+  Tag ID   Tag Name                             Writable
+  ------   --------                             --------
+  '3gf '   AccelData                            QuickTime Stream
+  'cprt'   Copyright                            no
+  'gps '   GPSLog                               no
+  'ptnm'   OriginalFileName                     no
+  'ptrh'   Ptrh                                 QuickTime Pittasoft
+  'sttm'   StartTime                            no
+  'thum'   PreviewImage                         no
+
+=head3 QuickTime Stream Tags
+
+Timed metadata extracted from QuickTime media data and some AVI videos when
+the ExtractEmbedded option is used.  Although most of these tags are
+combined into the single table below, ExifTool currently reads 49 different
+formats of timed GPS metadata from video files.
+
+  Tag Name                                      Writable
+  --------                                      --------
+  Accelerometer                                 no
+  AccelerometerData                             no
+  AngularVelocity                               no
+  CTMD                                          Canon CTMD
+  CameraDateTime                                no
+  Car                                           no
+  Distance                                      no
+  ExposureCompensation                          no
+  ExposureTime                                  no
+  FNumber                                       no
+  FrameNumber                                   no
+  GPSAltitude                                   no
+  GPSDOP                                        no
+  GPSDateTime                                   no
+  GPSLatitude                                   no
+  GPSLongitude                                  no
+  GPSSatellites                                 no
+  GPSSpeed                                      no
+  GPSSpeedRef                                   no
+  GPSTimeStamp                                  no
+  GPSTrack                                      no
+  GPSTrackRef                                   no
+  GSensor                                       no
+  INSV                                          QuickTime INSV_MakerNotes
+  ISO                                           no
+  JpgFromRaw                                    no
+  PreviewInfo                                   QuickTime PreviewInfo
+  RVMI_gReV                                     QuickTime RVMI_gReV
+  RVMI_sReV                                     QuickTime RVMI_sReV
+  RawGSensor                                    no
+  SampleDateTime                                no
+  SampleDuration                                no
+  SampleTime                                    no
+  Text                                          no
+  TimeCode                                      no
+  Unknown00?                                    no
+  Unknown01?                                    no
+  Unknown02?                                    no
+  Unknown03?                                    no
+  UserLabel                                     no
+  VerticalSpeed                                 no
+  VideoTimeStamp                                no
+  camm0                                         QuickTime camm0
+  camm1                                         QuickTime camm1
+  camm2                                         QuickTime camm2
+  camm3                                         QuickTime camm3
+  camm4                                         QuickTime camm4
+  camm5                                         QuickTime camm5
+  camm6                                         QuickTime camm6
+  camm7                                         QuickTime camm7
+  fdsc                                          GoPro fdsc
+  gpmd_GoPro                                    GoPro GPMF
+  gpmd_Rove                                     QuickTime Stream
+  marl                                          QuickTime marl
+  mebx                                          QuickTime Keys
+  mett                                          Parrot mett
+  rtmd                                          Sony rtmd
+  tx3g                                          QuickTime tx3g
+
+=head3 QuickTime INSV_MakerNotes Tags
+
+  Tag ID   Tag Name                             Writable
+  ------   --------                             --------
+  0x000a   SerialNumber                         no
+  0x0012   Model                                no
+  0x001a   Firmware                             no
+  0x002a   Parameters                           no
+
+=head3 QuickTime PreviewInfo Tags
+
+Preview stored by TomTom Bandit ActionCam.
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      8    PreviewImage                         no
+
+=head3 QuickTime RVMI_gReV Tags
+
+GPS information extracted from the RVMI box of MOV videos.
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      4    GPSLatitude                          no
+      8    GPSLongitude                         no
+     16    GPSSpeed                             no
+     18    GPSTrack                             no
+
+=head3 QuickTime RVMI_sReV Tags
+
+G-sensor information extracted from the RVMI box of MOV videos.
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      4    GSensor                              no
+
+=head3 QuickTime camm0 Tags
+
+The camm0 through camm7 tables define tags extracted from the Google Street
+View Camera Motion Metadata of MP4 videos.  See
+L<https://developers.google.com/streetview/publish/camm-spec> for the
+specification.
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      4    AngleAxis                            no
+
+=head3 QuickTime camm1 Tags
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      4    PixelExposureTime                    no
+      8    RollingShutterSkewTime               no
+
+=head3 QuickTime camm2 Tags
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      4    AngularVelocity                      no
+
+=head3 QuickTime camm3 Tags
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      4    Acceleration                         no
+
+=head3 QuickTime camm4 Tags
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      4    Position                             no
+
+=head3 QuickTime camm5 Tags
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      4    GPSLatitude                          no
+     12    GPSLongitude                         no
+     20    GPSAltitude                          no
+
+=head3 QuickTime camm6 Tags
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      4    GPSDateTime                          no
+     12    GPSMeasureMode                       no
+     16    GPSLatitude                          no
+     24    GPSLongitude                         no
+     32    GPSAltitude                          no
+     36    GPSHorizontalAccuracy                no
+     40    GPSVerticalAccuracy                  no
+     44    GPSVelocityEast                      no
+     48    GPSVelocityNorth                     no
+     52    GPSVelocityUp                        no
+     56    GPSSpeedAccuracy                     no
+
+=head3 QuickTime camm7 Tags
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      4    MagneticField                        no
+
+=head3 QuickTime marl Tags
+
+Tags extracted from the marl ctbx timed metadata of GM cars.
+
+  Tag ID   Tag Name                             Writable
+  ------   --------                             --------
+  [no tags known]
+
+=head3 QuickTime Keys Tags
+
+This directory contains a list of key names which are used to decode tags
+written by the "mdta" handler.  Also in this table are a few tags found in
+timed metadata that are not yet writable by ExifTool.  The prefix of
+"com.apple.quicktime." has been removed from the TagID's below.  These tags
+support alternate languages in the same way as the
+L<ItemList|Image::ExifTool::TagNames/QuickTime ItemList Tags> tags.  Note
+that by default,
+L<ItemList|Image::ExifTool::TagNames/QuickTime ItemList Tags> and
+L<UserData|Image::ExifTool::TagNames/QuickTime UserData Tags> tags are
+preferred when writing, so to create a tag when a same-named tag exists in
+either of these tables, either the "Keys" location must be specified (eg.
+C<-Keys:Author=Phil> on the command line), or the PREFERRED level must be
+changed via the config file.
+
+  Tag ID                  Tag Name              Writable
+  ------                  --------              --------
+  'Encoded_With'          EncodedWith           string
+  'album'                 Album                 string
+  'artist'                Artist                string
+  'artwork'               Artwork               string
+  'author'                Author                string
+  'camera.framereadouttimeinmicroseconds'
+                          FrameReadoutTime      string
+  'camera.identifier'     CameraIdentifier      string
+  'collection.user'       UserCollection        string
+  'com.android.version'   AndroidVersion        string
+  'com.apple.photos.captureMode' CaptureMode    string
+  'comment'               Comment               string
+  'copyright'             Copyright             string
+  'creationdate'          CreationDate          string
+  'description'           Description           string
+  'detected-face'         FaceInfo              QuickTime FaceInfo
+  'detected-face.bounds'  DetectedFaceBounds    no
+  'detected-face.face-id' DetectedFaceID        no
+  'detected-face.roll-angle'
+                          DetectedFaceRollAngle no
+  'detected-face.yaw-angle'
+                          DetectedFaceYawAngle  no
+  'direction.facing'      CameraDirection       string
+  'direction.motion'      CameraMotion          string
+  'director'              Director              string
+  'displayname'           DisplayName           string
+  'genre'                 Genre                 string
+  'information'           Information           string
+  'keywords'              Keywords              string
+  'live-photo-info'       LivePhotoInfo         no
+  'location.ISO6709'      GPSCoordinates        string
+  'location.body'         LocationBody          string
+  'location.date'         LocationDate          string
+  'location.name'         LocationName          string
+  'location.note'         LocationNote          string
+  'location.role'         LocationRole          string
+  'make'                  Make                  string
+  'model'                 Model                 string
+  'player.movie.audio.balance' Balance          string
+  'player.movie.audio.bass' Bass                string
+  'player.movie.audio.gain' AudioGain           string
+  'player.movie.audio.mute' Mute                int8u
+  'player.movie.audio.pitchshift' PitchShift    string
+  'player.movie.audio.treble' Trebel            string
+  'player.movie.visual.brightness' Brightness   string
+  'player.movie.visual.color' Color             string
+  'player.movie.visual.contrast' Contrast       string
+  'player.movie.visual.tint' Tint               string
+  'player.version'        PlayerVersion         string
+  'producer'              Producer              string
+  'publisher'             Publisher             string
+  'rating.user'           UserRating            string
+  'software'              Software              string
+  'still-image-time'      StillImageTime        no
+  'title'                 Title                 string
+  'version'               Version               string
+  'video-orientation'     VideoOrientation      no
+  'year'                  Year                  string
+
+=head3 QuickTime FaceInfo Tags
+
+  Tag ID   Tag Name                             Writable
+  ------   --------                             --------
+  'crec'   FaceRec                              QuickTime FaceRec
+
+=head3 QuickTime FaceRec Tags
+
+  Tag ID   Tag Name                             Writable
+  ------   --------                             --------
+  'cits'   FaceItem                             QuickTime Keys
+
+=head3 QuickTime tx3g Tags
+
+Tags extracted from the tx3g sbtl timed metadata of Yuneec drones, and
+subtitle text in some other videos.
+
+  Tag ID       Tag Name                         Writable
+  ------       --------                         --------
+  'Alt'        GPSAltitude                      no
+  'DateTime'   DateTime                         no
+  'GimPitch'   GimbalPitch                      no
+  'GimRoll'    GimbalRoll                       no
+  'GimYaw'     GimbalYaw                        no
+  'Lat'        GPSLatitude                      no
+  'Lon'        GPSLongitude                     no
+  'Pitch'      Pitch                            no
+  'Roll'       Roll                             no
+  'Text'       Text                             no
+  'Yaw'        Yaw                              no
 
 =head3 QuickTime FileType Tags
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
-      0    MajorBrand                           N
-      1    MinorVersion                         N
-      2    CompatibleBrands                     N
+  Index4   Tag Name                             Writable
+  ------   --------                             --------
+      0    MajorBrand                           no
+      1    MinorVersion                         no
+      2    CompatibleBrands                     no
+
+=head3 QuickTime OtherMeta Tags
+
+  Tag ID   Tag Name                             Writable
+  ------   --------                             --------
+  'mere'   MetaRelation                         QuickTime MetaRelation
+  'meta'   Meta                                 QuickTime Meta
+
+=head3 QuickTime MetaRelation Tags
+
+  Index4   Tag Name                             Writable
+  ------   --------                             --------
+  [no tags known]
+
+=head3 QuickTime Meta Tags
+
+  Tag ID   Tag Name                             Writable
+  ------   --------                             --------
+  'bxml'   BinaryXML?                           no
+  'dinf'   DataInfo                             QuickTime DataInfo
+  'free'   Free?                                no
+  'hdlr'   Handler                              QuickTime Handler
+  'idat'   MetaImageSize                        no
+  'iinf'   ItemInformation                      QuickTime ItemInfo
+                                                QuickTime ItemInfo
+  'iloc'   ItemLocation                         no
+  'ilst'   ItemList                             QuickTime ItemList
+  'ipmc'   IPMPControl?                         no
+  'ipro'   ItemProtection?                      no
+  'iprp'   ItemProperties                       QuickTime ItemProp
+  'iref'   ItemReference                        QuickTime ItemRef
+  'keys'   Keys                                 QuickTime Keys
+  'pitm'   PrimaryItemReference                 no
+  'uuid'   MetaVersion                          no
+           UUID-Unknown?                        no
+  'xml '   XML                                  XMP XML
+
+=head3 QuickTime DataInfo Tags
+
+MP4 data information box.
+
+  Tag ID   Tag Name                             Writable
+  ------   --------                             --------
+  'dref'   DataRef                              QuickTime DataRef
+
+=head3 QuickTime DataRef Tags
+
+MP4 data reference box.
+
+  Tag ID   Tag Name                             Writable
+  ------   --------                             --------
+  "url\0"  URL                                  no
+  'url '   URL                                  no
+  'urn '   URN                                  no
+
+=head3 QuickTime Handler Tags
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      4    HandlerClass                         no
+      8    HandlerType                          no
+     12    HandlerVendorID                      no
+     24    HandlerDescription                   no
+
+=head3 QuickTime ItemInfo Tags
+
+  Tag ID   Tag Name                             Writable
+  ------   --------                             --------
+  'infe'   ItemInfoEntry                        no
+
+=head3 QuickTime ItemList Tags
+
+This is the preferred location for creating new QuickTime tags.  Tags in
+this table support alternate languages which are accessed by adding a
+3-character ISO 639-2 language code and an optional ISO 3166-1 alpha 2
+country code to the tag name (eg. "ItemList:Title-fra" or
+"ItemList::Title-fra-FR").  When creating a new Meta box to contain the
+ItemList directory, by default ExifTool adds an 'mdir' (Metadata) Handler
+box because Apple software may ignore ItemList tags otherwise, but the API
+QuickTimeHandler option may be set to 0 to avoid this.
+
+  Tag ID       Tag Name                         Writable
+  ------       --------                         --------
+  '----'       iTunesInfo                       QuickTime iTunesInfo
+  '@PST'       ParentShortTitle                 string
+  '@ppi'       ParentProductID                  string
+  '@pti'       ParentTitle                      string
+  '@sti'       ShortTitle                       string
+  'AACR'       Unknown_AACR?                    string
+  'CDEK'       Unknown_CDEK?                    string
+  'CDET'       Unknown_CDET?                    string
+  'GUID'       GUID                             string
+  'VERS'       ProductVersion                   string
+  'aART'       AlbumArtist                      string
+  'akID'       AppleStoreAccountType            int8s
+  'albm'       Album                            string/
+  'apID'       AppleStoreAccount                string
+  'atID'       AlbumTitleID                     int32s
+  'auth'       Author                           string
+  'catg'       Category                         string
+  'cnID'       AppleStoreCatalogID              int32s
+  'covr'       CoverArt                         string
+  'cpil'       Compilation                      int8s
+  'cprt'       Copyright                        string
+  'desc'       Description                      string/
+  'disk'       DiskNumber                       undef
+  'dscp'       Description                      string/
+  'egid'       EpisodeGlobalUniqueID            string
+  'geID'       GenreID                          int32s
+  'gnre'       Genre                            undef/
+  'grup'       Grouping                         string/
+  'gshh'       GoogleHostHeader                 string
+  'gspm'       GooglePingMessage                string
+  'gspu'       GooglePingURL                    string
+  'gssd'       GoogleSourceData                 string
+  'gsst'       GoogleStartTime                  string
+  'gstd'       GoogleTrackDuration              string
+  'hdvd'       HDVideo                          int8s
+  'itnu'       iTunesU                          int8s
+  'keyw'       Keyword                          string
+  'ldes'       LongDescription                  string
+  'pcst'       Podcast                          int8s
+  'perf'       Performer                        string
+  'pgap'       PlayGap                          int8s
+  'plID'       PlayListID                       int32s[0.25]
+  'prID'       ProductID                        string
+  'purd'       PurchaseDate                     string
+  'purl'       PodcastURL                       string
+  'rate'       RatingPercent                    string
+  'rldt'       ReleaseDate                      string
+  'rtng'       Rating                           int8s
+  'sdes'       StoreDescription                 string
+  'sfID'       AppleStoreCountry                int32s
+  'shwm'       ShowMovement                     int8s
+  'soaa'       SortAlbumArtist                  string
+  'soal'       SortAlbum                        string
+  'soar'       SortArtist                       string
+  'soco'       SortComposer                     string
+  'sonm'       SortName                         string
+  'sosn'       SortShow                         string
+  'stik'       MediaType                        int8s
+  'titl'       Title                            string/
+  'tmpo'       BeatsPerMinute                   int16s
+  'trkn'       TrackNumber                      undef
+  'tven'       TVEpisodeID                      string
+  'tves'       TVEpisode                        int32s
+  'tvnn'       TVNetworkName                    string
+  'tvsh'       TVShow                           string
+  'tvsn'       TVSeason                         int32u
+  'yrrc'       Year                             string
+  "\xa9ART"    Artist                           string
+  "\xa9alb"    Album                            string
+  "\xa9ard"    ArtDirector                      string
+  "\xa9arg"    Arranger                         string
+  "\xa9aut"    Author                           string/
+  "\xa9cmt"    Comment                          string
+  "\xa9com"    Composer                         string/
+  "\xa9con"    Conductor                        string
+  "\xa9cpy"    Copyright                        string/
+  "\xa9day"    ContentCreateDate                string
+  "\xa9des"    Description                      string
+  "\xa9dir"    Director                         string
+  "\xa9enc"    EncodedBy                        string
+  "\xa9gen"    Genre                            string
+  "\xa9grp"    Grouping                         string
+  "\xa9lyr"    Lyrics                           string
+  "\xa9mvc"    MovementCount                    int16s
+  "\xa9mvi"    MovementNumber                   int16s
+  "\xa9mvn"    MovementName                     string
+  "\xa9nam"    Title                            string
+  "\xa9nrt"    Narrator                         string
+  "\xa9ope"    OriginalArtist                   string
+  "\xa9prd"    Producer                         string
+  "\xa9pub"    Publisher                        string
+  "\xa9sne"    SoundEngineer                    string
+  "\xa9sol"    Soloist                          string
+  "\xa9st3"    Subtitle                         string
+  "\xa9too"    Encoder                          string
+  "\xa9trk"    Track                            string
+  "\xa9wrk"    Work                             string
+  "\xa9wrt"    Composer                         string
+  "\xa9xpd"    ExecutiveProducer                string
+  "\xa9xyz"    GPSCoordinates                   string
+
+=head3 QuickTime iTunesInfo Tags
+
+ExifTool will extract any iTunesInfo tags that exist, even if they are not
+defined in this table.
+
+  Tag ID                    Tag Name            Writable
+  ------                    --------            --------
+  'DISCNUMBER'              DiscNumber          no
+  'Encoding Params'         EncodingParams      QuickTime EncodingParams
+  'TRACKNUMBER'             TrackNumber         no
+  'iTunEXTC'                ContentRating       no
+  'iTunMOVI'                iTunMOVI            PLIST
+  'iTunNORM'                VolumeNormalization no
+  'iTunSMPB'                iTunSMPB            no
+  'iTunes_CDDB_1'           CDDB1Info           no
+  'iTunes_CDDB_TrackNumber' CDDBTrackNumber     no
+  'popularimeter'           Popularimeter       no
+  'tool'                    iTunTool            no
+
+=head3 QuickTime EncodingParams Tags
+
+  Tag ID   Tag Name                             Writable
+  ------   --------                             --------
+  'abrt'   AudioAvailableBitRateRange           no
+  'acbf'   AudioBitRateControlMode              no
+  'acef'   AudioExtendFrequencies               no
+  'brat'   AudioCurrentTargetBitRate            no
+  'cdcv'   AudioComponentVersion                no
+  'cmnc'   AudioAvailableNumberChannels         no
+  'init'   AudioIsInitialized                   no
+  'lmrc'   AudioDoesSampleRateConversion        no
+  'mdel'   AudioMinimumDelayMode                no
+  'mnip'   AudioMinimumNumberInputPackets       no
+  'mnop'   AudioMinimumNumberOutputPackets      no
+  'oppr'   AudioOutputPrecedence                no
+  'pad0'   AudioZeroFramesPadded                no
+  'pakb'   AudioMaximumPacketByteSize           no
+  'pakd'   AudioRequiresPacketDescription       no
+  'pakf'   AudioPacketFrameSize                 no
+  'prmm'   AudioCodecPrimeMethod                no
+  'srcq'   AudioQualitySetting                  no
+  'tbuf'   AudioInputBufferSize                 no
+  'ubuf'   AudioUsedInputBufferSize             no
+  'ursr'   AudioUseRecommendedSampleRate        no
+  'vbrq'   AudioVBRQuality                      no
+  'vers'   AudioEncodingParamsVersion           no
+  'vpk?'   AudioHasVariablePacketByteSizes      no
+
+=head3 QuickTime ItemProp Tags
+
+  Tag ID   Tag Name                             Writable
+  ------   --------                             --------
+  'ipco'   ItemPropertyContainer                QuickTime ItemPropCont
+  'ipma'   ItemPropertyAssociation              no
+
+=head3 QuickTime ItemPropCont Tags
+
+  Tag ID   Tag Name                             Writable
+  ------   --------                             --------
+  'auxC'   AuxiliaryImageType                   no
+  'av1C'   AV1Configuration                     QuickTime AV1Config
+  'clap'   CleanAperture                        no
+  'colr'   ICC_Profile                          ICC_Profile
+           ColorRepresentation                  no
+  'hvcC'   HEVCConfiguration                    QuickTime HEVCConfig
+  'irot'   Rotation                             int8u!
+  'ispe'   ImageSpatialExtent                   no
+  'pasp'   PixelAspectRatio                     int32u!
+  'pixi'   ImagePixelDepth                      no
+  'rloc'   RelativeLocation                     no
+
+=head3 QuickTime AV1Config Tags
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      0    AV1ConfigurationVersion              no
+      1    SeqProfile?                          no
+    1.1    SeqLevelIdx0?                        no
+      2    SeqTier0?                            no
+    2.1    HighBitDepth?                        no
+    2.2    TwelveBit?                           no
+    2.3    ChromaFormat                         no
+    2.4    ChromaSamplePosition                 no
+      3    InitialDelaySamples?                 no
+
+=head3 QuickTime HEVCConfig Tags
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      0    HEVCConfigurationVersion             no
+      1    GeneralProfileSpace                  no
+    1.1    GeneralTierFlag                      no
+    1.2    GeneralProfileIDC                    no
+      2    GenProfileCompatibilityFlags         no
+      6    ConstraintIndicatorFlags             no
+     12    GeneralLevelIDC                      no
+     13    MinSpatialSegmentationIDC            no
+     15    ParallelismType                      no
+     16    ChromaFormat                         no
+     17    BitDepthLuma                         no
+     18    BitDepthChroma                       no
+     19    AverageFrameRate                     no
+     21    ConstantFrameRate                    no
+   21.1    NumTemporalLayers                    no
+   21.2    TemporalIDNested                     no
+
+=head3 QuickTime ItemRef Tags
+
+The Item reference entries listed in the table below contain information about
+the associations between items in the file.  This information is used by
+ExifTool, but these entries are not extracted as tags.
+
+  Tag ID   Tag Name                             Writable
+  ------   --------                             --------
+  'auxl'   AuxiliaryImageRef                    no
+  'cdsc'   ContentDescribes                     no
+  'dimg'   DerivedImageRef                      no
+  'thmb'   ThumbnailRef                         no
+
+=head3 QuickTime MovieFragment Tags
+
+  Tag ID   Tag Name                             Writable
+  ------   --------                             --------
+  'meta'   Meta                                 QuickTime Meta
+  'mfhd'   MovieFragmentHeader                  QuickTime MovieFragHdr
+  'traf'   TrackFragment                        QuickTime TrackFragment
+
+=head3 QuickTime MovieFragHdr Tags
+
+  Index4   Tag Name                             Writable
+  ------   --------                             --------
+      1    MovieFragmentSequence                no
+
+=head3 QuickTime TrackFragment Tags
+
+  Tag ID   Tag Name                             Writable
+  ------   --------                             --------
+  'meta'   Meta                                 QuickTime Meta
 
 =head3 QuickTime Movie Tags
